# -*- coding: utf-8 -*-

# usage: $ python toarray.py <mypicture.jpg>

import sys;
import Image;

im = Image.open(sys.argv[1]);
(w,h) = im.size;

h = int(h * 144.0/w);
small = im.resize((144, h), Image.ANTIALIAS);

print "unsigned short image[144*%d] = {" % h;

for j in range(h):
    for i in range(144):
        (R, G, B) = small.getpixel((i,j));
        outcolor = (B >> 3) | ((G >> 2) << 5) | ((R >> 3) << 11);
        print "\t0x%04x," % outcolor;

print "};";
